List Customers

​

Returns a list of your customers. The customers are returned sorted by creation date, with the most recent customers appearing first.

You can also create and manage customers in the Merchant Dashboard.

Related guide: Dashboard Tour - Customers

Query Parameters

  • Integer numbers.

  • Opaque cursor for pagination. Use the last_key value from the previous response to retrieve the next page.

  • Filter customers by one or more customer ids.

  • Filter customers by exact email address.

  • Filter customers by a case-insensitive name prefix. Values shorter than three characters are ignored.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/customers
curl 'https://api.paypercut.io/v1/customers?last_key=eyJsYXN0SWQiOiIyMTIxMDAyMWMyODU1MDA3ZWZhMmQ2NTcwMTgiLCJsYXN0Q3JlYXRlZEF0IjoiMjAyNC0wMS0xNVQxMDozMDowMFoifQ%3D%3D' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "items": [
    {
      "created": "2026-10-02T06:37:26.639Z",
      "livemode": true,
      "email": null,
      "name": null,
      "phone": null,
      "preferred_locales": [
        "string"
      ],
      "address": {
        "city": null,
        "country": null,
        "line1": null,
        "line2": null,
        "postal_code": null,
        "state": null
      },
      "invoice_settings": {
        "default_payment_method": "01K688H80Z3199KETHDJ4ZAFPS"
      },
      "id": "string"
    }
  ],
  "last_key": null
}